Name:		openvas-libraries
Summary:	Support libraries for Open Vulnerability Assessment (OpenVAS) Scanner
Version:	3.0.3
Release:	3%{?dist}
Source0:	http://wald.intevation.org/frs/download.php/706/%{name}-%{version}.tar.gz
URL:		http://www.openvas.org
License:	LGPLv2	
Group:		System Environment/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes:	openvas-libnasl
BuildRequires:	glib2-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	gnutls-devel
BuildRequires:	libpcap-devel
BuildRequires:	gpgme-devel
BuildRequires:	cmake >= 2.6.0
BuildRequires:	bison

%package devel
Summary:	Development files for openvas-libraries
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description
openvas-libraries is the base library for the OpenVAS network
security scanner.

%description devel
Development libraries and headers for use with openvas-libraries.

%prep
%setup -q

%build
%configure
# No parallel build because it causes compilation problems
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# Remove static libraries
find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} ';'

# Currently I don't know for what is this used so I removing it
rm -f $RPM_BUILD_ROOT/%{_datadir}/openvas/openvas-lsc-rpm-creator.sh

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/openvas-nasl
%{_mandir}/man1/openvas-nasl.1.*
%doc INSTALL_README TODO COPYING 
%{_libdir}/libopenvas_base.so.*
%{_libdir}/libopenvas_hg.so.*
%{_libdir}/libopenvas_misc.so.*
%{_libdir}/libopenvas_nasl.so.*
%{_libdir}/libopenvas_omp.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/libopenvas-config
%{_mandir}/man1/libopenvas-config.1.*
%{_includedir}/openvas/
%{_libdir}/libopenvas_base.so
%{_libdir}/libopenvas_hg.so
%{_libdir}/libopenvas_misc.so
%{_libdir}/libopenvas_nasl.so
%{_libdir}/libopenvas_omp.so

%changelog
* Mon Apr 5 2010 Huzaifa Sidhpurwala <huzaifas@redhat.com> - 3.0.3-3
- Obsolete openvas-libnasl

* Wed Mar 3 2010 Huzaifa Sidhpurwala <huzaifas@redhat.com> - 3.0.3-2
- Correct license to LGPLv2

* Mon Mar 1 2010 Huzaifa Sidhpurwala <huzaifas@redhat.com> - 3.0.3-1
- Upgraded to a new upstream version
- Spec from Stjepan Gros

* Wed Nov 26 2009 Huzaifa Sidhpurwala <huzaifas@redhat.com> 2.0.4-3
- Update to 2.0.4.
- Fix %%setup invocation.
- Add BR: glib2-devel.
- Version bump so that it builds

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct 13 2008 Huzaifa Sidhpurwala <huzaifas@redhat.com> 1.0-2-2
- More changes to the spec

* Wed Sep 9 2008 Huzaifa Sidhpurwala <huzaifas@redhat.com> 1.0.2-1
- Built on newer upstream version
- Minor spec changes

* Wed Sep 9 2008 Huzaifa Sidhpurwala <huzaifas@redhat.com> 1.0.1-1
- Inital Fedora version

* Tue Apr 15 2008 Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>
  Initial SUSE 10.2 spec file, tested for i586
